Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class KModuleDeploymentService

    java.lang.Object
      org.jbpm.kie.services.impl.AbstractDeploymentService
          org.jbpm.kie.services.impl.KModuleDeploymentService

All Implemented Interfaces:
  org.kie.internal.deployment.DeploymentService

    @ApplicationScoped
    public class KModuleDeploymentService

extends AbstractDeploymentService

Field Summary

Fields inherited from class org.jbpm.kie.services.impl.AbstractDeploymentService
`deploymentEvent, deploymentsMap, undeploymentEvent`

Constructor Summary
`KModuleDeploymentService()`

Method Summary
`void` | `deploy(org.kie.internal.deployment.DeploymentUnit unit)`
`protected void` | `processResources(org.drools.compiler.kie.builder.impl.InternalKieModule module, Map<String,String> formsData, Collection<String> files, KieContainer kieContainer, org.kie.internal.deployment.DeploymentUnit unit, DeployedUnitImpl deployedUnit, ReleaseId releaseId)`
`void` | `undeploy(org.kie.internal.deployment.DeploymentUnit unit)`

Methods inherited from class org.jbpm.kie.services.impl.AbstractDeploymentService
`commonDeploy, getDeployedUnit, getDeployedUnits, getDeploymentsMap, getEmf, getManagerFactory, getRuntimeDataService, getRuntimeManager, setEmf, setManagerFactory, setRuntimeDataService, setupAuditLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KModuleDeploymentService

    public KModuleDeploymentService()

Method Detail

### deploy

    public void deploy(org.kie.internal.deployment.DeploymentUnit unit)

  Specified by:
    `deploy` in interface `org.kie.internal.deployment.DeploymentService`
  Overrides:
    `deploy` in class `AbstractDeploymentService`

### undeploy

    public void undeploy(org.kie.internal.deployment.DeploymentUnit unit)

  Specified by:
    `undeploy` in interface `org.kie.internal.deployment.DeploymentService`
  Overrides:
    `undeploy` in class `AbstractDeploymentService`

### processResources

    protected void processResources(org.drools.compiler.kie.builder.impl.InternalKieModule module,
                                    Map<String,String> formsData,
                                    Collection<String> files,
                                    KieContainer kieContainer,
                                    org.kie.internal.deployment.DeploymentUnit unit,
                                    DeployedUnitImpl deployedUnit,
                                    ReleaseId releaseId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.